#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Math
%define		pnam	GSL
Summary:	Math::GSL Perl module - resticted interface to GNU Scientific Library
Summary(pl.UTF-8):	Moduł Perla Math::GSL - ograniczony interfejs do GNU Scientific Library
Name:		perl-Math-GSL
Version:	0.39
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6bbcb412e230d3e1602164e15767d102
Patch0:		%{name}-inc.patch
Patch1:		%{name}-update.patch
URL:		http://search.cpan.org/dist/Math-GSL/
BuildRequires:	gsl-devel >= 1.15
BuildRequires:	perl-Module-Build >= 0.38
BuildRequires:	perl-PkgConfig >= 0.07720
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	swig-perl
%if %{with tests}
BuildRequires:	perl-Test-Class >= 0.12
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Most >= 0.31
BuildRequires:	perl-Test-Taint >= 1.06
BuildRequires:	perl-Test-Warn
BuildRequires:	perl-version >= 0.77
%endif
Requires:	gsl >= 1.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GSL Perl module is a very resticted perl interface to -lgsl -
GNU Scientific Library. Only the routines relating the solving of
polynomials are exported. It exists to provide that function to
"tkscope" in Audio::Data.

%description -l pl.UTF-8
Moduł Perla Math::GSL stanowi bardzo ograniczony interfejs do -lgsl -
Biblioteki Naukowej GNU (GNU Scientific Library). Eksportuje jedynie
funkcje dotyczące rozwiązywania równań wielomianowych. Istnieje, aby
udostępnić te funkcje "tkscope" w module Audio::Data.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

# simulate non-release to force swig rebuild
mkdir .git

%build
export CC_FLAGS="%{rpmcppflags} %{rpmcflags}"
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes KNOWN_BUGS README.md TODO
%{perl_vendorarch}/Math/GSL.pm
%{perl_vendorarch}/Math/GSL
%dir %{perl_vendorarch}/auto/Math/GSL
%dir %{perl_vendorarch}/auto/Math/GSL/*
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GSL/*/*.so
%{_mandir}/man3/Math::GSL*.3pm*
%changelog
* Tue May 11 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-GSL.git;a=log;h=master

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> fb35aea
- Release 5 (by relup.sh)

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 484aad3
- fix passing compiler flags

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> c567e4d
- BR: perl-Test-Deep perl-Test-Warn

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e484b51
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 255e5ba
- rebuild with perl 5.30.0
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 11d2887
- release 3 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 8b429ca
- release 2 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 9078eb1
- updated BRs

* Mon Jul 03 2017 Jakub Bogusz <qboosh@pld-linux.org> bb83c0c
- updated to 0.39
- added inc patch (handle . not being in INC)
- added update patch (remove functions dropped from gsl 2.4)

* Sat Jul 01 2017 Jan Rękorajski <baggins@pld-linux.org> ff6a9ea
- rebuild with gsl 2.4
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 115cf30
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0574ee4
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 260a2e0
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b5a42ad
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> fba1bdf
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> acff5c3
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c554639
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0b8b8ce
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a3fcb54
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 271f276
- release 4

